# Retrieve Parameters
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/classifiers-and-parameters-management/retrieve-parameters/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving parameters for a specified contract (account contract or card contract) stored in the CMS.

For this test case, use the following information in the request:

|  Query parameter  | Available value |
|-------------------|-----------------|
| `parameter_codes` | MTP_CALC_RULE   |
|                   | ATM_CALC_RULE   |

**Sample request**

`GET /contracts/70001/parameters?parameter_codes=MTP_CALC_RULE,ATM_CALC_RULE`

**Sample response**

`200`

```JSON
{
    "contractParameters": [
        {
            "parameterCode": "MTP_CALC_RULE",
            "parameterName": "MTP Calculation rule",
            "parameterValue": "45"
        },
        {
            "parameterCode": "ATM_CALC_RULE",
            "parameterName": "ATM Calculation rule",
            "parameterValue": "54"
        }
    ]
}
```

## Test case -- Success -- No parameter codes {#test-case--success--no-parameter-codes}

This test case describes retrieving parameters for a specified contract (account contract or card contract) where the `parameter_codes` query path is sent without any values. The API returns the same response when the query path is sent with values other than the available ones (that is, MTP_CALC_RULE and ATM_CALC_RULE).

**Sample request**

`GET /contracts/70001/parameters?parameter_codes=`

**Sample response**

`200`

```JSON
{
    "contractParameters": []
}
```

